#!/bin/sh

# $Id: bind-bf.sh,v 1.5 2001/01/30 14:18:21 pearcec Exp $

# bind-bf.sh

MET=bind
BINDSTATFILE=/var/log/messages
OUT=/tmp/$MET.$$

#################
# COLLECT
#################

# bind
# TODO get these counters with a HUP, grep is not very efficient
# as per the plan, very little/no intelligence here
$GREP "NSTATS" $BINDSTATFILE > $OUT

# what to do if no BIND stats are found
if [ $? -ne 0 ]
then
  $BB $BBISP "status ${MACHINE}.$MET yellow `date` No BIND NSTATS found in $BINDSTATFILE."
  exit 1
fi


#################
# REPORT
#################
if [ $LARRDCOMM = DATA ]
then
        $BB $BBDISP "data ${MACHINE}.$MET
`$CAT $OUT | $TAIL -1`"

else
        $BB $BBDISP "status ${MACHINE}.$MET green `date`  <$MET>
`$CAT $OUT | $TAIL -1`"

fi

rm $OUT
