#!/bin/sh

# $Id: netstat-bf.sh,v 1.3 2001/01/30 14:18:21 pearcec Exp $
# netstat-bf.sh

MET=netstat
NETSTAT=/bin/netstat
OUT=/tmp/netstat.$$

#################
# COLLECT
#################
 
case $bbhosttype in
hpux)

  TMP=/tmp/mynetstat.tmp
  netstat -sp tcp > $TMP

  tcpPassiveOpens=`awk '/connections established/ { print $1 }' < $TMP`
  tcpInInorderBytes=`awk '/packets.*bytes.*received in-sequence/ { print substr($3, 2) }' < $TMP`
  tcpInUnorderBytes=`awk '/out of order packets.*bytes/ { print substr($6, 2) }' < $TMP`
  tcpOutDataBytes=`awk '/data packets.*bytes.$/ { print substr($4, 2) }' < $TMP`
  tcpRetransBytes=`awk '/data packets.*retransmitted$/ { print substr($4, 2) }' < $TMP`
  tcpCurrEstab=`netstat -n | grep ESTABLISHED | wc -l`

echo "$BBOSTYPE
udpOutDatagrams = 0
udpInErrors = 0
tcpActiveOpens = 0
tcpPassiveOpens = $tcpPassiveOpens
tcpAttemptFails = 0
tcpEstabResets = 0
tcpCurrEstab = $tcpCurrEstab
tcpOutDataBytes = $tcpOutDataBytes
tcpInInorderBytes = $tcpInInorderBytes
tcpInUnorderBytes = $tcpInUnorderBytes
tcpRetransBytes = $tcpRetransBytes" > $OUT
  
;;
*)
  echo "$BBOSTYPE" > $OUT
  $NETSTAT -s >> $OUT 
;;
esac

#################
# PARSE
#################

#################
# REPORT
#################
if [ $LARRDCOMM = DATA ]
then
        $BB $BBDISP "data ${MACHINE}.$MET
`$CAT $OUT`"

else
        $BB $BBDISP "status ${MACHINE}.$MET green `date`  <$MET>
`$CAT $OUT`"

fi

rm $OUT
